This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817888 - (FE-STATIC_LIBRARY) Inconsistency with static library packages and library guidelines
Inconsistency with static library packages and library guidelines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
16
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On: 817935 817940 817942 817944 817945 817947 817948 817949 817950 817951 817952 817953 817955 817956
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 13:24 EDT by Paulo Andrade
Modified: 2014-03-16 23:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:33:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2012-05-01 13:24:24 EDT
There is a large number of "-devel" packages with a
summary that should have been a cut&paste error, as
it has only dynamic libraries, but the summary, as
per "yum search" says:

Header files and static libraries for development using ...

these are:

Xaw3d-devel
liboil-devel
libshout-devel
orc-devel
q-devel
recode-devel
vanessa_adt-devel
vanessa_logger-devel
autotrace-devel
brlapi-devel
libacl-devel
libattr-devel
libftdi-devel
mopac7-devel
smpeg-devel
vcdimager-devel

These appear to not match the guideline, as it
should use either -devel or -static, not both:

gpac-devel-static
infiniband-diags-devel-static
libibverbs-devel-static
db4-devel-static
elfutils-devel-static
elfutils-libelf-devel-static
kpathsea-devel-static
pciutils-devel-static

otherwise, these are in error:

SDL-static
arpack-static
boost-static
cdparanoia-static
fife-static
gdal-static
gmp-static
gpm-static
isdn4k-utils-static
libindi-static
libmthca-static
librdmacm-static
libusb-static
libusb1-static
mingw32-wxWidgets-static
mingw32-zlib-static
proj-static
protobuf-lite-static
protobuf-static
ruby-static
ustr-static
util-vserver-static
zlib-static

I am not sure about -debug packages, so,
worth mentioning:

ustr-debug-static


And the main reason of the bug report, and the
condition I was told do to so in a review of a
package I made, are these -devel packages with
static libraries:

openafs-devel
binutils-devel
yasm-devel
Comment 1 Bill Nottingham 2012-05-01 14:01:20 EDT
This is probably best done as a tracking bug, where bugs against the individual packages could be marked as dependent on this.
Comment 2 Paulo Andrade 2012-05-01 16:41:06 EDT
Attempting to create a proper bug tracking.

The packages with -devel-static also have a -devel, so they should
comply with guidelines.

The bug should be minor/enhancement for all but the last 3 ones,
as the others do comply with the guidelines.
Comment 3 Paulo Andrade 2012-05-01 17:10:28 EDT
I have installed smpeg-devel and vcdimager-devel but not sure if should
or where to make a bug report as these are not listed in packages, and
come from rpmfusion-free-updates repository.

Same for openafs-devel that has only static libraries.
Comment 4 Paulo Andrade 2012-05-01 17:14:06 EDT
binutils-devel and yasm-devel should be correct because they
actually have a virtual provides of -static.
Comment 5 Bill Nottingham 2012-05-01 17:15:34 EDT
rpmfusion has a bug tracker (https://bugzilla.rpmfusion.org/), you could file there for things that come from rpmfusion such as smpeg or openafs.
Comment 6 Fedora End Of Life 2013-01-16 11:09:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 14:33:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.